# import
from PIL import Image, ImageDraw

# constants
SIZE = 600
ITER = 250

# prepare
image = Image.new("L", (SIZE, SIZE), 0)

# calculate and draw
for x in range(0, SIZE):
    for y in range(0, SIZE):
        real = -2 + x * 3 / SIZE
        img = -1.5 + y * 3 / SIZE
        z, c = 0, complex(real, img)

        for h in range(0, ITER):
            z = z**2 + c
            if abs(z) > 2:
                image.putpixel((x, y), (h/ITER)**0.45 * 255)
                break
        else:
            image.putpixel((x, y), 0)


    if x % (SIZE / 50) == 0:
        print('.', end='')

# save image
image.save("out.png")
